<?php

namespace Vote\Vote;

use DB;
use Illuminate\Database\Seeder;

class VoteTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('votes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'vote.vote.view',
                'name'      => 'View Vote',
            ],
            [
                'slug'      => 'vote.vote.create',
                'name'      => 'Create Vote',
            ],
            [
                'slug'      => 'vote.vote.edit',
                'name'      => 'Update Vote',
            ],
            [
                'slug'      => 'vote.vote.delete',
                'name'      => 'Delete Vote',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'vote.vote.verify',
                'name'      => 'Verify Vote',
            ],
            [
                'slug'      => 'vote.vote.approve',
                'name'      => 'Approve Vote',
            ],
            [
                'slug'      => 'vote.vote.publish',
                'name'      => 'Publish Vote',
            ],
            [
                'slug'      => 'vote.vote.unpublish',
                'name'      => 'Unpublish Vote',
            ],
            [
                'slug'      => 'vote.vote.cancel',
                'name'      => 'Cancel Vote',
            ],
            [
                'slug'      => 'vote.vote.archive',
                'name'      => 'Archive Vote',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/vote/vote',
                'name'        => 'Vote',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/vote/vote',
                'name'        => 'Vote',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'vote',
                'name'        => 'Vote',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Vote',
                'module'    => 'Vote',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'vote.vote.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
