<?php

namespace Vote\Vote\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VoteTransformer extends TransformerAbstract
{
    public function transform(\Vote\Vote\Models\Vote $vote)
    {
        return [
            'id'                => $vote->getRouteKey(),
            'key'               => [
                'public'    => $vote->getPublicKey(),
                'route'     => $vote->getRouteKey(),
            ], 
            'user_id'           => $vote->user_id,
            'proposal'          => $vote->proposal,
            'ether_address'     => $vote->ether_address,
            'url'               => [
                'public'    => trans_url('vote/'.$vote->getPublicKey()),
                'user'      => guard_url('vote/vote/'.$vote->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vote->status),
            'created_at'        => format_date($vote->created_at),
            'updated_at'        => format_date($vote->updated_at),
        ];
    }
}