<?php

namespace Vote\Vote;

use User;

class Vote
{
    /**
     * $vote object.
     */
    protected $vote;

    /**
     * Constructor.
     */
    public function __construct(\Vote\Vote\Interfaces\VoteRepositoryInterface $vote)
    {
        $this->vote = $vote;
    }

    /**
     * Returns count of vote.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.vote.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->vote->pushCriteria(new \Litepie\Vote\Repositories\Criteria\VoteUserCriteria());
        }

        $vote = $this->vote->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('vote::' . $view, compact('vote'))->render();
    }
}
