<?php

namespace Vote\Vote\Workflow;

use Vote\Vote\Models\Vote;
use Vote\Vote\Notifications\VoteWorkflow as VoteNotifyer;
use Notification;

class VoteNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Vote $vote
     *
     * @return void
     */
    public function complete(Vote $vote)
    {
        return Notification::send($vote->user, new VoteNotifyer($vote, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Vote $vote
     *
     * @return void
     */
    public function verify(Vote $vote)
    {
        return Notification::send($vote->user, new VoteNotifyer($vote, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Vote $vote
     *
     * @return void
     */
    public function approve(Vote $vote)
    {
        return Notification::send($vote->user, new VoteNotifyer($vote, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Vote $vote
     *
     * @return void
     */
    public function publish(Vote $vote)
    {
        return Notification::send($vote->user, new VoteNotifyer($vote, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Vote $vote
     *
     * @return void
     */
    public function archive(Vote $vote)
    {
        return Notification::send($vote->user, new VoteNotifyer($vote, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Vote $vote
     *
     * @return void
     */
    public function unpublish(Vote $vote)
    {
        return Notification::send($vote->user, new VoteNotifyer($vote, 'unpublish'));;

    }
}
